Creates a new fee list price object
Request Information
URI Parameters :
None.
Body Parameters :
feelist_price| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| feelist_id |
Feelist on which this price belongs to |
globally unique identifier |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| feelist_reference_back_office |
Embedded entity "feelist" using ERP PK when adding/updating feelist_price |
string |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| feelist |
Embedded entity "feelist" using ERP PK when adding/updating feelist_price |
feelist |
Optionally required : feelist_id, feelist_reference_back_office or feelist must be provided |
| hour_type_id |
Foreign key to hour_type. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| hour_type_code |
Embedded entity "hour_type" using ERP PK when adding/updating feelist_price (CF hour_type_id) |
string |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| hour_type |
Embedded entity "hour_type" using ERP PK when adding/updating feelist_price (CF hour_type_id) |
hour_type |
Optionally required : hour_type_id, hour_type_code or hour_type must be provided |
| equipment_family_id |
Foreign key to equipment_family. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating feelist_price (CF equipment_family_id) |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating feelist_price (CF equipment_family_id) |
equipment_family | |
| job_type_id |
Foreign key to job_type. You need to supply at one one of the following value : hour_type,equipment_family,job_type |
globally unique identifier | |
| job_type_code |
Embedded entity "job_type_id" using ERP PK when adding/updating feelist_price (CF job_type_id) |
string | |
| job_type |
Embedded entity "job_type_id" using ERP PK when adding/updating feelist_price (CF job_type_id) |
job_type | |
| price | decimal number |
Required |
|
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "d769de62-a035-4b5c-890e-8454ea60e8c6",
"feelist_id": "1c8557d7-1d50-4302-a833-211e82d0003b",
"feelist_reference_back_office": "sample string 3",
"hour_type_id": "2857bcc1-6fb9-4248-9ac7-22180e09d916",
"hour_type_code": "sample string 5",
"equipment_family_id": "51eb99be-4c83-493b-aa7e-0c51c373cdf6",
"equipment_family_code": "sample string 7",
"job_type_id": "82b3f5ee-8c31-4a89-a0af-72da4e70cce4",
"job_type_code": "sample string 9",
"price": 1.0,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-09-18T06:08:30.8636059+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.